Hiba történt! Nem működik a JavaScript!
A böngésződben le van tiltva a JavaScript futtatása, vagy nem támogatja a JavaScript használatát. Az oldal megfelelő használatához kérjük engedélyezd a JavaScript futtatását böngésződben,
vagy frissítsd egy újabb verzióra, amely támogatja a JavaScript-et:
Firefox, Safari, Opera, Chrome, vagy az Internet Explorer 6-nál újabb verziója.
Felhasználók
Online vendégek 1
Online tagok 0

Regisztráltak: 31
Legújabb tag: Gyula84
Ünnepeltjeink

Ma

2022. nov 28. Hé
2 nap van hátra ebből a hónapból.

07:02

15:58

V9.10.20 telepítési gond

Utolsó módosítás 16 nap óta
S
SSJ2Vegeta1Kezdő fórumozó
Beküldve 19 nap óta
Sziasztok,

Kis híján 10 év kihagyás után próbálok visszatérni.
Visszaszereztem a régi tárhelyemnél a tárhelyem, az akkori mentésekkel együtt.
Akkoriban v7 alját használtam, mindent visszaállított a szerveres, de semmi nem megy, se a php-fusion oldal, se a toplista, se a külön torrent oldal, ezek mind mentek anno.
Error 500at ír mindenre, hibakód alapján amit a szerverestől kaptam, az a maincore 18ik sora pl, de az lényegében a maincore első kódsora és mivel nem megy semmi rajta, sztem nála lehet gond.

És, hogy a téma címére is írjak azért, emiatt próbálkozok újabb verziókkal, meg persze kíváncsi is vagyok rá, bár felfrissíteni tuti nem fogom rá, rengeteg munka lenne gondolom, pláne, hogy 10 év alatt kb mindent elfelejtettem.
Szóval ezt meg telepíteni nem tudom hibakódok miatt, nincs telepítés gomb se.
A legújabbat se lehet ugyanez miatt.
Php verzió 4 van fent talán, lehet az a régi hozzá.
-> közben megnéztem, újabb van fent, az a phpmyadmin verziója volt.
Csatoltam képen itt miket mutat, hátha valakinek mond ez is valamit.

Szerk.:
Illetve totalcommandert használok jelenleg, ez van évtizedek óta elsők között telepítve, nem tudom az mennyire megbízható ftp kliens.
Telón pl nem egy fájlt nem másol fel, vagy csak másodjára próbálva.

Szerk2.:
[Wed Nov 09 18:22:45.591981 2022] [php7:error] [pid 29349] [client 77.234.80.103:57243] PHP Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /usr/home/ftphome/1/ctanime/ctanime/maincore.php:166nStack trace:n#0 /usr/home/ftphome/1/ctanime/ctanime/maincore.php(66): dbconnect('localhost', 'ctanime', 'jelszó', 'ctanime'Kacsintn#1 /usr/home/ftphome/1/ctanime/ctanime/index.php(18): require_once('/usr/home/ftpho...'Kacsintn#2 {main}n thrown in /usr/home/ftphome/1/ctanime/ctanime/maincore.php on line 166

A mysql_* hívás elavult már csak a mysqli_* funkciók működnek az újabb php-k alatt.

Ezt kaptam most a szerverestől.
Létezik, hogy ezért nem megy se a legfrissebb v7, se a v8, se a v9?
Ingyenes tárhelyen meg elfut az oldal pl.
Módosította SSJ2Vegeta1 2022.11.09 18:34, 19 nap óta
Nincs hozzáférésed a csatolt fájlok megtekintéséhez
karrakkarrakFőadminisztrátor
Beküldve 18 nap óta
Szia.
követelmény PHP-Fusion 7.02.xx:
- PHP 5.1.2 vagy nagyobb
- MySQL 5.6 vagy nagyobb

követelmény PHP-Fusion 8.00.xx:
- PHP 5.6.39 vagy nagyobb
- MySQL 5.6 vagy nagyobb
- Apache 2.4+ vagy nagyobb
- Nginx 1.0 vagy nagyobb
- mod_rewrite vagy azzal egyenértékű SEO

követelmény PHP-Fusion 9.00.xx:
- PHP 7.4 vagy nagyobb
- MySQL 5.6 vagy nagyobb
- Apache 2.4+ vagy nagyobb
- Nginx 1.0 vagy nagyobb
- mod_rewrite vagy azzal egyenértékű SEO

Hát a PHP verziót azt mindenféle képen javítani kéne, hogy valamit tudj csinálni.
És sajna igen a TC nél előfordul, hogy nem másol fel mindent, probálj valami más ftp programot, ha van sajátja a szolgáltatódnak azt.
S
SSJ2Vegeta1Kezdő fórumozó
Beküldve 16 nap óta
Abban tudnál esetleg segíteni, hogy mit kéne átírni arra, hogy legalább elinduljon a v7 újabb php verzió alatt?
Elég lenne a maincore-ban, vagy szinte mindenhol javítani kéne?

Illetve most a nethely tárhellyel próbálkozom, mert ezen mai napig megy a teszt oldalam, mert ott lehet válogatni melyik php verziót akarod használni, felraktam ide a régi éles oldalam, mert megvan a mentése, de vannak hibák valamiért és így 2 panelen kívül meg se jelenik más.
Ezt írja felül:

Notice: Constant iMEMBER already defined in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 861

Notice: Constant iMEMBER already defined in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 862

define("iMEMBER", $userdata['user_level'] >= 100 ? 1 : 0);
define("iMEMBER", $userdata['user_level'] >= 101 ? 1 : 0);


Ez gyári kód pedig.

Illetve egyik menüpont, amit sikerült megnyitni így hirtelen:


Warning: preg_match(): Unknown modifier ']' in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 35

Warning: preg_match(): Unknown modifier ']' in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 36

Warning: preg_match(): Unknown modifier ']' in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 37

Warning: preg_match(): Unknown modifier ']' in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 38

Warning: preg_match(): Delimiter must not be alphanumeric or backslash in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 38

Warning: preg_match(): No ending delimiter '"' found in /var/www/customers/vh-41432/web/home/phoenixanime.nhely.hu-A58FCB/maincore.php on line 39

      if ((preg_match("<[^>]*script*"?[^>]*>", $check_url)) || (preg_match("<[^>]*object*"?[^>]*>", $check_url)) ||
         (preg_match("<[^>]*iframe*"?[^>]*>", $check_url)) || (preg_match("<[^>]*applet*"?[^>]*>", $check_url)) ||
         (preg_match("<[^>]*meta*"?[^>]*>", $check_url)) || (preg_match("<[^>]*style*"?[^>]*>", $check_url)) ||
         (preg_match("<[^>]*form*"?[^>]*>", $check_url)) || (preg_match("([^>]*"?[^)]*)", $check_url)) ||
         (preg_match(""", $check_url))) {


Mi okozhatja, hogy ennyi gyári kód hibát dob?
Mondjuk eltüntetni sikerült azzal a hibát, hogy a php beállításnál beállítottam, hogy ne mutassa ezeket a hibákat böngészőben, és működni működik az oldal úgy látom, egy-két helyen van gond, de majd rájuk nézek.
karrakkarrakFőadminisztrátor
Beküldve 16 nap óta
Nos a legelső amit tudnék ajánlani, hogy a php verziót növeld, és minimum a fusion 8 telepítsd, az a fusion 7 hez hasonlóan működik.
Persze ez nem a legjobb megoldás, de próbának elmegy. Én személy szerint erőltetném a v9 használatát, mivel olyan sok idő kimaradt, így majdnem mindegy, hogy melyiknek a programozását nézed át, de a v9 hez jobban lesz frissítés és támogatás.

A fent hibákra akkor tudnék értelmeset is mondani, ha tudnám a verziókat is, bár elsőre semmi jót nem mondanék.
M
MathiasHaladó fórumozó
Beküldve 16 nap óta
Ha ez 2x szer szerepel az biztos hiba, ahogy be is másoltad a hiba szöveget

Idézet

Constant iMEMBER already defined in

Csak 1x

define("iMEMBER", $userdata['user_level'] >= 100 ? 1 : 0);
define("iMEMBER", $userdata['user_level'] >= 101 ? 1 : 0);
Te tudsz megtekinteni a társalgásokat a fórumon.
Te nem tudsz témát indítani a fórumon.
Te nem tudsz hozzászólni ehhez a témához.
Te nem tudsz szavazást indítani a fórumon.
Te nem tudsz csatolmányt feltölteni a fórumra.
Te nem tudsz csatolmányt letölteni a fórumról.
Moderátor: Főadminisztrátor
Felhasználók a témában: karrak, Mathias, SSJ2Vegeta1
Bejelentkezés
Még nem regisztráltál?
Regisztráció
Új jelszó kérése
Top 10 Látogatók
Szolgáltatód
amazonaws.com
Jelenlegi IP címed
44.197.108.169

us us3396
2999
hu hu( Magyar )1448
fr fr( Francais )811
RU RU( Русский )709
cn cn584
de de( Deutsch )511
CA CA( Catalan )376
ie ie( Interlingue )198
NL NL( Nederlands )166

Összes Domain: 10
1szám játék
Tudja, hogy a játékunk indulása óta melyik volt az a "legnagyobb" legkisebb szám amivel játékot nyertek?

Ez a szám a 58 volt.

Aki megjátszotta: arpinator nevű felhasználónk volt 2022.06.01 játék napon.
Gratulálunk neki
A webhely használatával elfogadja adatvédelmi beállításainkat, és megértette, hogy cookie-kat használunk. Bizonyos Cookie-k már be vannak állítva.
Kérjük, kattintson a Elfogadom gombra, hogy elrejtse ezt a sávot. Ha továbbra is használja a webhelyet, akkor feltételezzük, hogy egyetért az adatvédelmi irányelveinkkel.Itt többet megtudhat adatvédelmi irányelveinkről